Summary: wmi
Name: wmi
Version: 1.3.14
Release: 4.art
Group: System Environment/Libraries
License: GPL
Source: %{name}-%{version}.tar.bz2
Patch0: openvas-wmi-%{version}.patch
Patch1: openvas-wmi-%{version}.patch2
Patch2: openvas-wmi-%{version}.patch3
BuildRoot: /var/tmp/%{name}-%{version}-root
Vendor: Atomicorp, http://www.atomicorp.com
Packager: Scott R. Shinn, <scott@atomicorp.com>

BuildRequires: autoconf

%description
WMI client and libraries.


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

# create the pkgconfig
%{__cat} <<EOF > wmiclient.pc

prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_prefix}/include

Name: wmiclient
Description: wmiclient library for OpenVAS
 Version: 1.3.14
 Requires:
Cflags: -I%{_includedir} -I%{_includedir}/openvas
Libs: -L%{_libdir}
EOF


%build

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
export CC="gcc -P"
%endif

cd Samba/source
 ./autogen.sh
./configure
make %{?_smp_mflags} proto all
make %{?_smp_mflags} libraries

# Cleanup linking 
pushd wmi
  ln -sf libwmiclient.so.1 libwmiclient.so 
popd



%install
make "DESTDIR=${RPM_BUILD_ROOT}" install

mkdir -p  $RPM_BUILD_ROOT/%{_libdir}/
mkdir -p  $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
%{__install} -m 0644 wmiclient.pc $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/wmiclient.pc
%{__install} -m 0755 Samba/source/wmi/libwmiclient.so.1 $RPM_BUILD_ROOT/%{_libdir}/libwmiclient.so.1
%{__install} -m 0755 Samba/source/wmi/libwmiclient.so $RPM_BUILD_ROOT/%{_libdir}/libwmiclient.so



%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/bin/winexe
/bin/wmic
/lib/python/libasync_wmi_lib.so.*
/lib/python/pysamba/*
%{_libdir}/pkgconfig/wmiclient.pc
%{_libdir}/libwmiclient.so*


%changelog
* Sat Aug 3 2013 Scott R. Shinn <scott@atomicorp.com> 1.3.14-4
- Add openvas-wmi-1.3.14.patch3
- Add Fedora 19 support

* Thu Apr 18 2013 Scott R. Shinn <scott@atomicorp.com> 1.3.14-3
- Add in openvas-wmi-1.3.14.patch2

* Tue Feb 1 2011 Scott R. Shinn <scott@atomicorp.com> 1.3.14-1
- Update to 1.3.14
- Corrected Group field

* Sat Oct 16 2010 Scott R. Shinn <scott@atomicorp.com> 1.3.13-1
- Initial build
